%define apache_user apache

Name: web-cyradm
Version: 0.5.4
Release: alt2

Summary: Web Based Management tool for Postfix, Cyrus IMAP, and MySQL or PostgreSQL
License: GPL
Group: System/Servers

Url: http://www.web-cyradm.org
Source0: %url/%name-%version-1.tar.gz
Source1: web-cyradm.apache.conf
Source2: web-cyradm.htaccess
Source3: web-cyradm.README.ALT
Source4: web-cyradm.logrotate

BuildArch: noarch
Packager: Vladimir V Kamarzin <vvk@altlinux.ru>
Requires: php-engine, php-imap, pam-mysql

%package apache
Summary: %name's apache config file
Group: System/Servers
Requires: %name = %version-%release, apache

%description
Web-cyradm is a software that glues topnotch mailing technologies together.
The focus is on administrating small and large mailing environments.

Features:
- Administer multiple virtual domains
- Manage user-accounts
- Map useraccounts to emailadresses
- Create, delete and rename cyrus-imap mailboxes
- Setting of quotas for users and domains
- Delegation of some tasks to domain adminstrators
- Resetting password for accountusers by its domainadmins and superusers
- Sieve functions like forwarding single e-mail adresses and out-of-office replies
- Enable/Disable different services like imap, pop, sieve and stmp for particular users
- Support for MySQL and PostgreSQL databases
- Storing passwords in crypt, md5 or MySQL passwd compatible format
- i18n (internationalisation) support 
- Available in 18 Languages (see the translation statistics )

%description apache
%name's apache config file

%prep
%setup -q -n %name-%version-1

%install
rm -f COPYRIGHT
mkdir -p %buildroot%_var/www/html/addon-modules/%name{,config}
cp -ar *.php %buildroot%_var/www/html/addon-modules/%name
cp -ar css images lib locale %buildroot%_var/www/html/addon-modules/%name
install -pD -m0640 config/conf.php.dist \
	%buildroot%_var/www/html/addon-modules/%name/config/conf.php

install -pD -m0644 %SOURCE1 %buildroot%_sysconfdir/httpd/conf/addon-modules.d/%name.conf
install -pD -m0644 %SOURCE2 %buildroot%_var/www/html/addon-modules/%name/.htaccess
install -pD -m0644 %SOURCE3 README.ALT
install -pD -m0644 %SOURCE4 %buildroot%_sysconfdir/logrotate.d/%name

install -d -m1770 %buildroot%_var/log/%name

%files
%_var/www/html/addon-modules/%name/*.php
%dir %attr(0750,root,%apache_user) %_var/www/html/addon-modules/%name/config
%config(noreplace) %attr(0640,root,%apache_user) %_var/www/html/addon-modules/%name/config/conf.php
%_var/www/html/addon-modules/%name/css
%_var/www/html/addon-modules/%name/images
%_var/www/html/addon-modules/%name/lib
%_var/www/html/addon-modules/%name/locale
%dir %_var/www/html/addon-modules/%name
%dir %attr(1770,root,%apache_user) %_var/log/%name
%_sysconfdir/logrotate.d/%name
%doc ChangeLog README* TO-BE-DONE INSTALL doc scripts

%files apache
%_var/www/html/addon-modules/%name/.htaccess
%_sysconfdir/httpd/conf/addon-modules.d/%name.conf

%changelog
* Fri Jun 16 2006 Vladimir V Kamarzin <vvk@altlinux.ru> 0.5.4-alt2
- $%%$%%! Set BuildArch: noarch

* Thu Jun 15 2006 Vladimir V Kamarzin <vvk@altlinux.ru> 0.5.4-alt1
- Initial build for Sisyphus
